---
title: Contributing
---

# Contributing

Turing is an open source project. If you feel that you have some relevant skills and are interested in contributing, then please do get in touch. You can contribute by opening issues on GitHub or implementing things yourself and making a pull request. We would also appreciate example models written using Turing.


Turing has a [style guide]({{site.baseurl}}/docs/contributing/style-guide). It is not strictly necessary to review it before making a pull request, but you may be asked to change portions of your code to conform with the style guide before it is merged.


## How to Contribute


### Getting Started


  * [Fork this repository](https://github.com/TuringLang/Turing.jl#fork-destination-box).
  * Clone your fork on your local machine: `git clone https://github.com/your_username/Turing.jl`.
  * Add a remote corresponding to this repository:


`git remote add upstream https://github.com/TuringLang/Turing.jl`.


### What Can I Do?


Look at the [issues](https://github.com/TuringLang/Turing.jl/issues) page to find an outstanding issue. For instance, you could implement new features, fix bugs or write example models.


### Git Workflow


For more information on how the Git workflow typically functions, please see the [GitHub's introduction](https://guides.github.com/introduction/flow/) or [Julia's contribution guide](https://github.com/JuliaLang/julia/blob/master/CONTRIBUTING.md).

